summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGluzskiy Alexandr <sss123next@list.ru>2009-11-23 10:37:40 +0200
committerGluzskiy Alexandr <sss123next@list.ru>2009-11-23 10:37:40 +0200
commitf891fa6d13c9b5e84ead4a4e818879f06672d50c (patch)
tree26e1820780dcfaed6a6a35b63c092518d13291a4
parentba3c2358a41976b1e471b75feee0a93dbc297f49 (diff)
new file: app-cdr/binflash/binflash-1.47a.ebuild
new file: app-mobilephone/kmobiletools/files/kmobiletools-0.5.0_beta3-no-automagic-deps.patch new file: app-mobilephone/kmobiletools/kmobiletools-0.5.0_beta3.ebuild new file: media-libs/babl/babl-0.9999.ebuild new file: media-libs/gegl/gegl-0.9999.ebuild new file: media-libs/libtheora/libtheora-9999.ebuild new file: media-sound/gmpc/gmpc-9999.ebuild
-rw-r--r--app-cdr/binflash/binflash-1.47a.ebuild26
-rw-r--r--app-mobilephone/kmobiletools/files/kmobiletools-0.5.0_beta3-no-automagic-deps.patch90
-rw-r--r--app-mobilephone/kmobiletools/kmobiletools-0.5.0_beta3.ebuild54
-rw-r--r--media-libs/babl/babl-0.9999.ebuild39
-rw-r--r--media-libs/gegl/gegl-0.9999.ebuild90
-rw-r--r--media-libs/libtheora/libtheora-9999.ebuild79
-rw-r--r--media-sound/gmpc/gmpc-9999.ebuild68
7 files changed, 446 insertions, 0 deletions
diff --git a/app-cdr/binflash/binflash-1.47a.ebuild b/app-cdr/binflash/binflash-1.47a.ebuild
new file mode 100644
index 0000000..3f3b80f
--- /dev/null
+++ b/app-cdr/binflash/binflash-1.47a.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-cdr/binflash/binflash-1.46a.ebuild,v 1.2 2009/07/07 22:50:48 flameeyes Exp $
+
+MY_PN=${PN/bin/nec}
+
+DESCRIPTION="Tool to flash DVD burner with a binary firmware file"
+HOMEPAGE="http://binflash.cdfreaks.com"
+SRC_URI="http://binflash.cdfreaks.com/download/1/2/${MY_PN}_linux.tgz"
+
+LICENSE="as-is"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RESTRICT="fetch strip"
+
+pkg_nofetch() {
+ elog "We cannot download this file for your due to license restrictions."
+ elog "Please visit ${HOMEPAGE} and download ${A} into ${DISTDIR}."
+}
+
+src_install() {
+ into /opt
+ dobin ${MY_PN} || die "dobin failed."
+}
diff --git a/app-mobilephone/kmobiletools/files/kmobiletools-0.5.0_beta3-no-automagic-deps.patch b/app-mobilephone/kmobiletools/files/kmobiletools-0.5.0_beta3-no-automagic-deps.patch
new file mode 100644
index 0000000..259baa6
--- /dev/null
+++ b/app-mobilephone/kmobiletools/files/kmobiletools-0.5.0_beta3-no-automagic-deps.patch
@@ -0,0 +1,90 @@
+diff -Nru kmobiletools-0.5.0-beta3/kmobiletools/configure.in.in kmobiletools-0.5.0-beta3-shl/kmobiletools/configure.in.in
+--- kmobiletools-0.5.0-beta3/kmobiletools/configure.in.in 2007-06-05 16:18:07.000000000 +0200
++++ kmobiletools-0.5.0-beta3-shl/kmobiletools/configure.in.in 2007-06-16 19:59:20.000000000 +0200
+@@ -8,7 +8,7 @@
+ # BEGIN KONTACT CHECK
+ ###############################################################################
+
+-AC_ARG_ENABLE(kontact, AC_HELP_STRING([--disable-kontact-plugin], [disable KMobileTools Kontact plugin (default: check)]),
++AC_ARG_ENABLE(kontact, AC_HELP_STRING([--disable-kontact], [disable KMobileTools Kontact plugin (default: check)]),
+ [enable_kontact=$enableval], [enable_kontact=yes])
+ if test "$enable_kontact" = "yes"; then
+ KDE_CHECK_HEADER(kontact/plugin.h, [have_kontact="yes"], [have_kontact="no"])
+@@ -72,18 +72,22 @@
+ #AC_SUBST(LIB_GAMMU)
+ #AM_CONDITIONAL(with_gammu, test $have_gammu = yes)
+
+-AC_ARG_ENABLE(kioslaves, AC_HELP_STRING([--disable-kioslaves], [enable KIOSlaves for filesystem access (default: disable)]),
++AC_ARG_ENABLE(kioslaves, AC_HELP_STRING([--disable-kioslaves], [disable all KIOSlaves for filesystem access (default: enable)]),
+ [enable_kioslaves=$enableval], [enable_kioslaves=yes])
+
+-if test "x$enable_kioslaves" = "xyes"; then
+- KDE_CHECK_HEADER(p2kmoto.h, have_p2k=yes, have_p2k=no)
+- AM_CONDITIONAL(with_p2kmoto, test $have_p2k = yes)
+- KDE_CHECK_HEADER(obexftp/client.h, have_obexftp=yes, have_obexftp=no)
+- AM_CONDITIONAL(compile_obex, test $have_obexftp = yes)
+-else
+- AM_CONDITIONAL(with_p2kmoto, false)
+- AM_CONDITIONAL(compile_obex, false)
++AC_ARG_ENABLE(p2kmoto, AC_HELP_STRING([--disable-p2kmoto], [disable p2kmoto kioslave (default: check)]),
++ [enable_p2kmoto=$enableval], [enable_p2kmoto=yes])
++if test "x$enable_p2kmoto" = "xyes" && test "x$enable_kioslaves" = "xyes"; then
++ KDE_CHECK_HEADER(p2kmoto.h, have_p2k=yes, have_p2k=no)
++fi
++AM_CONDITIONAL(with_p2kmoto, test "x$have_p2k" = "xyes")
++
++AC_ARG_ENABLE(obexftp, AC_HELP_STRING([--disable-obexftp], [disable obex kioslave (default: check)]),
++ [enable_obexftp=$enableval], [enable_obexftp=yes])
++if test "x$enable_obexftp" = "xyes" && test "x$enable_kioslaves" = "xyes"; then
++ KDE_CHECK_HEADER(obexftp/client.h, have_obexftp=yes, have_obexftp=no)
+ fi
++AM_CONDITIONAL(compile_obex, test "x$have_obexftp" = "xyes")
+
+ if test "x$have_p2k" = "xyes"; then
+ AC_DEFINE(HAVE_P2KLIB, 1, [p2k filesystem support])
+@@ -117,9 +121,14 @@
+ [enable_tests=$enableval], [enable_tests=no])
+ AM_CONDITIONAL(compile_tests, test x$enable_tests = xyes)
+
+-KDE_CHECK_HEADER(kdebluetooth/rfcommsocketdevice.h, have_kbluetooth=yes, have_kbluetooth=no)
+-AM_CONDITIONAL(with_kdebluetooth, test $have_kbluetooth = yes)
+-if test "$have_kbluetooth" = "yes"; then
++AC_ARG_ENABLE(kdebluetooth, AC_HELP_STRING([--disable-kdebluetooth], [disable kdebluetooth integration (default: check)]),
++ [enable_kdebluetooth=$enableval], [enable_kdebluetooth=yes])
++if test "x$enable_kdebluetooth" = "xyes"; then
++ KDE_CHECK_HEADER(kdebluetooth/rfcommsocketdevice.h, have_kbluetooth=yes, have_kbluetooth=no)
++fi
++
++AM_CONDITIONAL(with_kdebluetooth, test "x$have_kbluetooth" = "xyes")
++if test "x$have_kbluetooth" = "xyes"; then
+ AC_DEFINE(KBLUETOOTH, 1, [use kdebluetooth rfcomm socket])
+ AC_SUBST(KBLUETOOTH)
+ LIB_KBLUETOOTH="-lkbluetooth"
+@@ -135,9 +144,12 @@
+ CPPFLAGS="$CPPFLAGS $DBUS_CFLAGS $all_includes -DDBUS_API_SUBJECT_TO_CHANGE"
+
+
+-KDE_CHECK_HEADER(libkbluetooth/adapter.h, have_new_kbluetooth=yes, have_new_kbluetooth=no)
+-AM_CONDITIONAL(with_kdebluetooth_new, test x$have_new_kbluetooth = xyes)
+-if test "$have_new_kbluetooth" = "yes"; then
++if test "x$enable_kdebluetooth" = "xyes"; then
++ KDE_CHECK_HEADER(libkbluetooth/adapter.h, have_new_kbluetooth=yes, have_new_kbluetooth=no)
++fi
++
++AM_CONDITIONAL(with_kdebluetooth_new, test "x$have_new_kbluetooth" = "xyes")
++if test "x$have_new_kbluetooth" = "xyes"; then
+ PKG_CHECK_MODULES(BLUEZ, "bluez")
+ AC_DEFINE(KBLUETOOTH_NEW, 1, [use new kdebluetooth])
+ AC_SUBST(KBLUETOOTH_NEW)
+diff -Nru kmobiletools-0.5.0-beta3/kmobiletools/kmobiletools/engines/gammu_engine/device.cpp kmobiletools-0.5.0-beta3-shl/kmobiletools/kmobiletools/engines/gammu_engine/device.cpp
+--- kmobiletools-0.5.0-beta3/kmobiletools/kmobiletools/engines/gammu_engine/device.cpp 2007-06-05 16:18:07.000000000 +0200
++++ kmobiletools-0.5.0-beta3-shl/kmobiletools/kmobiletools/engines/gammu_engine/device.cpp 2007-06-14 17:18:55.000000000 +0200
+@@ -572,7 +572,7 @@
+ GSM_CallShowNumber showNumber = GSM_CALL_DefaultNumberPresence;
+
+ m_mutex.lock();
+- m_error = m_phoneFunctions->DialVoice( &m_stateMachine, (char*) number.data(),
++ m_error = m_phoneFunctions->DialVoice( &m_stateMachine, (number.utf8().data() ),
+ showNumber );
+ if( m_error != ERR_NONE ) {
+ printErrorMessage( m_error, "dial" );
diff --git a/app-mobilephone/kmobiletools/kmobiletools-0.5.0_beta3.ebuild b/app-mobilephone/kmobiletools/kmobiletools-0.5.0_beta3.ebuild
new file mode 100644
index 0000000..dacc81e
--- /dev/null
+++ b/app-mobilephone/kmobiletools/kmobiletools-0.5.0_beta3.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit kde eutils
+
+MY_P=${P/_beta/-beta}
+DESCRIPTION="KMobiletools is a KDE-based application that allows to control mobile phones with your PC."
+SRC_URI="http://download.berlios.de/kmobiletools/${MY_P}.tar.bz2"
+HOMEPAGE="http://www.kmobiletools.org/"
+LICENSE="GPL-2"
+
+IUSE="bluetooth gammu kde obex"
+KEYWORDS="~amd64 ~ppc ~x86"
+
+DEPEND="kde? ( || ( ( kde-base/libkcal kde-base/kontact ) kde-base/kdepim ) )
+ bluetooth? ( net-wireless/kdebluetooth4 )
+ gammu? ( >=app-mobilephone/gammu-1.10.6 )
+ obex? ( >=app-mobilephone/obexftp-0.21 )"
+
+need-kde 3.4
+
+S=${WORKDIR}/${MY_P}
+
+src_unpack() {
+ kde_src_unpack
+
+ epatch ${FILESDIR}/${P}-no-automagic-deps.patch
+ # remove configure script to trigger it's rebuild during kde_src_compile
+ rm -f ${S}/configure
+}
+
+src_compile() {
+ myconf="$(use_enable kde libkcal)
+ $(use_enable kde kontact)
+ $(use_with gammu)
+ $(use_enable bluetooth kdebluetooth)
+ $(use_enable obex obexftp)
+ --disable-p2kmoto"
+ # the last 3 configure switches have only effect when above automagic deps patch is applied
+
+ kde_src_compile
+}
+
+pkg_postinst() {
+ if use gammu ; then
+ echo
+ elog "You have enabled gammu engine backend. Please note that support for this"
+ elog "engine in ${PN} is considered experimental and may not work as expected."
+ elog "More information and configuration steps for gammu engine can be found here:"
+ elog "http://www.kmobiletools.org/gammu"
+ echo
+ fi
+}
diff --git a/media-libs/babl/babl-0.9999.ebuild b/media-libs/babl/babl-0.9999.ebuild
new file mode 100644
index 0000000..531f8b9
--- /dev/null
+++ b/media-libs/babl/babl-0.9999.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/media-libs/babl/babl-0.0.22.ebuild,v 1.7 2009/01/31 09:11:00 mabi Exp $
+
+inherit subversion
+
+DESCRIPTION="A dynamic, any to any, pixel format conversion library"
+HOMEPAGE="http://www.gegl.org/babl/"
+SRC_URI=""
+
+ESVN_REPO_URI="http://svn.gnome.org/svn/babl/trunk/"
+ESVN_STORE_DIR="${DISTDIR}/svn-src"
+ESVN_PROJECT="${PN/-svn}"
+ESVN_BOOTSTRAP="./autogen.sh"
+
+
+LICENSE="LGPL-3"
+SLOT=""
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="sse mmx"
+
+DEPEND="virtual/libc"
+
+src_unpack(){
+ subversion_src_unpack
+}
+
+src_compile() {
+ econf $(use_enable mmx) \
+ $(use_enable sse) \
+ || die "econf failed"
+ emake || die "emake failed"
+}
+
+src_install() {
+ emake install DESTDIR="${D}" || die "emake install failed"
+ find "${D}" -name '*.la' -delete
+# dodoc AUTHORS ChangeLog README NEWS || die "dodoc failed"
+}
diff --git a/media-libs/gegl/gegl-0.9999.ebuild b/media-libs/gegl/gegl-0.9999.ebuild
new file mode 100644
index 0000000..a549f09
--- /dev/null
+++ b/media-libs/gegl/gegl-0.9999.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/media-libs/gegl/gegl-0.0.22.ebuild,v 1.6 2009/01/31 09:26:09 mabi Exp $
+
+inherit eutils subversion
+
+DESCRIPTION="A graph based image processing framework"
+HOMEPAGE="http://www.gegl.org/"
+SRC_URI=""
+
+ESVN_REPO_URI="http://svn.gnome.org/svn/gegl/trunk/"
+ESVN_STORE_DIR="${DISTDIR}/svn-src"
+ESVN_PROJECT="${PN/-svn}"
+ESVN_BOOTSTRAP="./autogen.sh"
+
+
+LICENSE="|| ( GPL-3 LGPL-3 )"
+SLOT=""
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+IUSE="cairo debug doc ffmpeg jpeg mmx openexr png raw sdl sse svg v4l"
+
+DEPEND=">=media-libs/babl-0.0.20
+ >=dev-libs/glib-2.18.0
+ media-libs/libpng
+ >=x11-libs/gtk+-2.14.0
+ x11-libs/pango
+ cairo? ( x11-libs/cairo )
+ dev-lang/ruby
+ doc? ( app-text/asciidoc
+ >=dev-lang/lua-5.1.0
+ app-text/enscript
+ media-gfx/graphviz
+ media-gfx/imagemagick )
+ ffmpeg? ( >=media-video/ffmpeg-0.4.9_p20080326 )
+ jpeg? ( media-libs/jpeg )
+ openexr? ( media-libs/openexr )
+ raw? ( >=media-libs/libopenraw-0.0.5 )
+ sdl? ( media-libs/libsdl )
+ svg? ( >=gnome-base/librsvg-2.14.0 )"
+
+pkg_setup() {
+ if use doc && ! built_with_use 'media-gfx/imagemagick' 'png'; then
+ eerror "You must build imagemagick with png support"
+ die "media-gfx/imagemagick built without png"
+ fi
+}
+
+src_unpack() {
+ #unpack ${A}
+ subversion_src_unpack
+ cd "${S}"
+# epatch "${FILESDIR}/${P}-locale_h.diff"
+}
+
+src_compile() {
+ econf --with-gtk --with-pango --with-gdk-pixbuf \
+ $(use_enable debug) \
+ $(use_with cairo) \
+ $(use_with cairo pangocairo) \
+ $(use_with v4l libv4l) \
+ $(use_enable doc docs) \
+ $(use_with doc graphviz) \
+ $(use_with doc lua) \
+ $(use_enable doc workshop) \
+ $(use_with ffmpeg libavformat) \
+ $(use_with jpeg libjpeg) \
+ $(use_enable mmx) \
+ $(use_with openexr) \
+ $(use_with png libpng) \
+ $(use_with raw libopenraw) \
+ $(use_with sdl) \
+ $(use_with svg librsvg) \
+ $(use_enable sse) \
+ || die "econf failed"
+ emake || die "emake failed"
+}
+
+src_install() {
+ # emake install doesn't install anything
+ einstall || die "einstall failed"
+ find "${D}" -name '*.la' -delete
+# dodoc ChangeLog INSTALL README NEWS || die "dodoc failed"
+
+ # don't know why einstall omits this?!
+ insinto "/usr/include/${PN}-0.0/${PN}/buffer/"
+ doins "${WORKDIR}/${P}/${PN}"/buffer/*.h || die "doinsbuffer failed"
+ insinto "/usr/include/${PN}-0.0/${PN}/module/"
+ doins "${WORKDIR}/${P}/${PN}"/module/*.h || die "doins module failed"
+}
diff --git a/media-libs/libtheora/libtheora-9999.ebuild b/media-libs/libtheora/libtheora-9999.ebuild
new file mode 100644
index 0000000..e995cf9
--- /dev/null
+++ b/media-libs/libtheora/libtheora-9999.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/media-libs/libtheora/libtheora-1.1.1.ebuild,v 1.1 2009/10/27 11:16:37 aballier Exp $
+
+EAPI=2
+inherit autotools eutils flag-o-matic subversion
+
+DESCRIPTION="The Theora Video Compression Codec"
+HOMEPAGE="http://www.theora.org"
+SRC_URI=""
+
+ESVN_REPO_URI="http://svn.xiph.org/trunk/theora"
+ESVN_STORE_DIR="${DISTDIR}/svn-src"
+ESVN_PROJECT="${PN/-svn}"
+ESVN_BOOTSTRAP="./autogen.sh"
+
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd"
+IUSE="doc +encode examples"
+
+RDEPEND="media-libs/libogg
+ encode? ( media-libs/libvorbis )
+ examples? ( media-libs/libpng
+ media-libs/libvorbis
+ >=media-libs/libsdl-0.11.0 )"
+DEPEND="${RDEPEND}
+ doc? ( app-doc/doxygen )
+ dev-util/pkgconfig"
+
+VARTEXFONTS=${T}/fonts
+S=${WORKDIR}/${P/_}
+
+src_unpack() {
+ subversion_src_unpack
+}
+
+src_prepare() {
+ eautoreconf
+ epatch "${FILESDIR}"/${PN}-1.0_beta2-flags.patch
+ AT_M4DIR="m4" eautoreconf
+}
+
+src_configure() {
+ use x86 && filter-flags -fforce-addr -frename-registers #200549
+ use doc || export ac_cv_prog_HAVE_DOXYGEN="false"
+
+ local myconf
+ use examples && myconf="--enable-encode"
+
+ # --disable-spec because LaTeX documentation has been prebuilt
+ econf \
+ --disable-dependency-tracking \
+ --disable-spec \
+ $(use_enable encode) \
+ $(use_enable examples) \
+ ${myconf}
+}
+
+src_install() {
+ emake DESTDIR="${D}" docdir=/usr/share/doc/${PF} \
+ install || die "emake install failed"
+
+ dodoc AUTHORS CHANGES README
+ prepalldocs
+
+ if use examples; then
+ if use doc; then
+ insinto /usr/share/doc/${PF}/examples
+ doins examples/*.[ch]
+ fi
+
+ dobin examples/.libs/png2theora || die "dobin failed"
+ for bin in dump_{psnr,video} {encoder,player}_example; do
+ newbin examples/.libs/${bin} theora_${bin} || die "newbin failed"
+ done
+ fi
+}
diff --git a/media-sound/gmpc/gmpc-9999.ebuild b/media-sound/gmpc/gmpc-9999.ebuild
new file mode 100644
index 0000000..da67fe0
--- /dev/null
+++ b/media-sound/gmpc/gmpc-9999.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=2
+inherit autotools git gnome2-utils
+
+DESCRIPTION="A GTK+2 client for the Music Player Daemon."
+HOMEPAGE="http://gmpcwiki.sarine.nl/index.php/GMPC"
+EGIT_REPO_URI="git://repo.or.cz/gmpc.git"
+EGIT_BOOTSTRAP="./autogen.sh"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~ppc-macos ~s390 ~sh ~sparc ~sparc-fbsd ~x86 ~x86-fbsd"
+IUSE="nls +session xspf"
+
+RDEPEND=">=dev-libs/glib-2.10:2
+ dev-perl/XML-Parser
+ >=gnome-base/libglade-2.3
+ >=media-libs/libmpd-0.17.1
+ net-libs/libsoup:2.4
+ net-misc/curl
+ dev-lang/vala
+ >=x11-libs/gtk+-2.12:2
+ x11-libs/libsexy
+ session? ( x11-libs/libSM )
+ xspf? ( >=media-libs/libxspf-1.2 )"
+DEPEND="${RDEPEND}
+ dev-util/gob
+ dev-util/intltool
+ dev-util/pkgconfig
+ sys-devel/gettext"
+
+#src_prepare() {
+# #einfo "Running intltoolize --automake"
+# intltoolize --automake || die "intltoolize failed"
+# #eautoreconf
+#}
+
+src_unpack() {
+ git_src_unpack
+}
+
+src_configure() {
+ econf \
+ $(use_enable session sm) \
+ $(use_enable xspf libxspf) \
+ --enable-system-libsexy \
+ --disable-shave \
+ --with-extra-version="`git rev-parse ${EGIT_BRANCH} | cut -c 1-8`"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die
+ dodoc AUTHORS ChangeLog NEWS README TODO
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}